(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15388,        487]
NotebookOptionsPosition[     10388,        343]
NotebookOutlinePosition[     13737,        424]
CellTagsIndexPosition[     13652,        419]
WindowTitle->ConstantQ - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"BraQ\"\>":>Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Bra"], "\<\"KetQ\"\>":>
       Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/KetQ"], "\<\"OperatorQ\"\>":>
       Documentation`HelpLookup["paclet:QuantumAlgebra/ref/OperatorQ"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuantumAlgebra/ref/ConstantQ\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuantumAlgebra/ref/ConstantQ"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
ConstantQ.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]},
             Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuantumAlgebra/ref/ConstantQ", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["ConstantQ", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ConstantQ", "[", 
       StyleBox["ex", "TI"], "]"}]], "InlineFormula"],
     "\[LineSeparator]checks if the expression ex is a Constant. "
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->122389615],

Cell[TextData[{
 "The improved Quantum Algebra application supports simple as well as complex \
constants. Whereas simple constants do not contain any quantum object, \
complex constants consist of sequences like (Bra ** ",
 Cell[BoxData[
  ButtonBox["Operator",
   BaseStyle->"Link",
   ButtonData->"paclet:QuantumAlgebra/ref/Operator"]], "InlineFormula"],
 " ** Ket) which are known to evaluate to numbers. This allows for the \
simplification of expressions."
}], "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->770747986],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->393983165],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->190087084],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->247509333],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->244896938],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->91796046],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->22427597]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->12532417]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConstantQ", "[", 
  RowBox[{"\[Lambda]", " ", "\[ImaginaryI]", " ", "\[HBar]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->679239995],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->7098126]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConstantQ", "[", 
  TagBox[
   RowBox[{"\[LeftAngleBracket]", 
    AdjustmentBox[
     RowBox[{
      TagBox["m",
       QuantumAlgebra`QuantumNotation`BraKetArgs,
       BaseStyle->"BraKetArg"], "\[VerticalSeparator]", 
      TagBox["n",
       QuantumAlgebra`QuantumNotation`BraKetArgs,
       BaseStyle->"BraKetArg"]}],
     BoxBaselineShift->0], "\[RightAngleBracket]"}],
   QuantumAlgebra`BraKet,
   BaseStyle->"BraKetWrapper"], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->147896114],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->540481602]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    TagBox[
     RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       TagBox["m",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0], 
      AdjustmentBox["\[VerticalSeparator]",
       BoxMargins->{{0, -0.2}, {0, 0}}]}],
     QuantumAlgebra`Bra,
     BaseStyle->"BraWrapper"], "\[CenterDot]", 
    OverscriptBox["H", "^"], "\[CenterDot]", 
    TagBox[
     RowBox[{
      AdjustmentBox["\[VerticalSeparator]",
       BoxMargins->{{-0.4, 0}, {0, 0}}], 
      AdjustmentBox[
       TagBox["n",
        QuantumAlgebra`QuantumNotation`KetArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0], "\[RightAngleBracket]"}],
     QuantumAlgebra`Ket,
     BaseStyle->"KetWrapper"]}], ")"}], "//", "ConstantQ"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->26890392],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->283896436]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["BraQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuantumAlgebra/ref/Bra"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " . ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["KetQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuantumAlgebra/ref/KetQ"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " . ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["OperatorQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuantumAlgebra/ref/OperatorQ"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ConstantQ - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 14, 52.7279258}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"ConstantQ Bra Operator Ket"}, "index" -> 
    True, "label" -> "QuantumAlgebra Package Paclet Symbol", "language" -> 
    "en", "paclet" -> "QuantumAlgebra Package", "status" -> "None", "summary" -> 
    "ConstantQ[ex] checks if the expression ex is a Constant. ", 
    "synonyms" -> {}, "title" -> "ConstantQ", "type" -> "Symbol", "uri" -> 
    "QuantumAlgebra/ref/ConstantQ"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5013, 146, 461, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->770747986]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13509, 412}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[603, 21, 76, 1, 3, "SymbolColorBar"],
Cell[682, 24, 194, 5, 19, "LinkTrail"],
Cell[879, 31, 2519, 57, 48, "AnchorBarGrid",
 CellID->1],
Cell[3401, 90, 52, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3478, 95, 382, 11, 81, "Usage"],
Cell[CellGroupData[{
Cell[3885, 110, 580, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->122389615],
Cell[4468, 129, 496, 11, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5013, 146, 461, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->770747986],
Cell[CellGroupData[{
Cell[5499, 163, 148, 5, 25, "ExampleSection",
 CellID->393983165],
Cell[CellGroupData[{
Cell[5672, 172, 252, 7, 47, "Input",
 CellID->190087084],
Cell[CellGroupData[{
Cell[5949, 183, 99, 1, 23, "Print",
 CellID->247509333],
Cell[6051, 186, 109, 2, 23, "Print",
 CellID->244896938],
Cell[6163, 190, 113, 2, 23, "Print",
 CellID->91796046],
Cell[6279, 194, 115, 2, 23, "Print",
 CellID->22427597]
}, Open  ]],
Cell[6409, 199, 713, 12, 241, "Output",
 CellID->12532417]
}, Open  ]],
Cell[CellGroupData[{
Cell[7159, 216, 164, 4, 28, "Input",
 CellID->679239995],
Cell[7326, 222, 159, 5, 36, "Output",
 CellID->7098126]
}, Open  ]],
Cell[CellGroupData[{
Cell[7522, 232, 517, 16, 70, "Input",
 CellID->147896114],
Cell[8042, 250, 161, 5, 36, "Output",
 CellID->540481602]
}, Open  ]],
Cell[CellGroupData[{
Cell[8240, 260, 883, 28, 70, "Input",
 CellID->26890392],
Cell[9126, 290, 161, 5, 36, "Output",
 CellID->283896436]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9348, 302, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[9768, 316, 578, 22, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[10361, 341, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
